_Parser Struct Reference
Collaboration diagram for _Parser:
[legend]

## Data Fields

char * | dataBuffer
char * | curPtr
char * | savePtr
ixml_membuf | lastElem
ixml_membuf | tokenBuf
IXML_Node * | pNeedPrefixNode
IXML_ElementStack * | pCurElement
IXML_Node * | currentNodePtr
PARSER_STATE | state
int | bHasTopLevel

## Field Documentation

## curPtr

char* _Parser::curPtr

Pointer to the token parsed.

Referenced by Parser_getNextNode(), Parser_getNextToken(), Parser_LoadDocument(), Parser_processAttribute(), Parser_processContent(), Parser_processElementName(), Parser_processSTag(), Parser_skipBom(), Parser_skipMisc(), Parser_skipProlog(), Parser_skipWhiteSpaces(), and Parser_skipXMLDecl().

## dataBuffer

char* _Parser::dataBuffer

Data buffer.

Referenced by Parser_free(), Parser_LoadDocument(), and Parser_readFileOrBuffer().

## savePtr

char* _Parser::savePtr

Saves for backup.

Referenced by Parser_getNextToken(), Parser_processAttribute(), Parser_processContent(), Parser_processElementName(), and Parser_processSTag().

The documentation for this struct was generated from the following file:

- /build/pupnp-CzNTB5/pupnp-1.14.20/ixml/src/inc/ixmlparser.h